curl --request GET \
--url https://app.tryspecter.com/api/v1/searches/investor-interest/{searchId}/results \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.tryspecter.com/api/v1/searches/investor-interest/{searchId}/results"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.tryspecter.com/api/v1/searches/investor-interest/{searchId}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"signal_id": "f7e8e33a-ea66-40e4-a567-e2afc8638bd2",
"signal_date": "2026-07-10",
"signal_score": 8,
"signal_summary": "A Partner at General Catalyst and Evantic Capital are both exploring BORN amid early-stage fundraising. BORN creates AI friends that provide companionship and connection through AI and consumer social experiences.",
"signal_type": "Company",
"source_types": [
"venture_capital"
],
"signal_total_funding_usd": 15000000,
"signal_last_funding_date": "2025-09-01",
"signal_investors": [
{
"name": "Accel"
}
],
"entity_id": "5e3a7f110aa7a3270a54b92e",
"company": {
"name": "BORN",
"description": "Born creates AI friends-companions that enter people's lives at the right moment and stay for a lifetime. These friends are always there when needed most, making conversations, play, and connection fun. At the intersection of AI and consumer social, Born is building experiences that feel natural, joyful, and lasting.",
"website": "http://born.com/",
"linkedin_url": "https://www.linkedin.com/company/born-dot-com",
"twitter_url": "None",
"founded_year": 2022,
"hq": {
"city": "South San Francisco",
"state": "California",
"country": "United States",
"continent": "North America"
},
"industry": [
"Financial Services",
"Financial Technology"
],
"tech_verticals": [
[
"Blockchain, Crypto & Web3",
"Crypto Exchanges and Trading Infrastructure"
]
],
"is_industry_estimated": false,
"customer_focus": "b2c"
},
"person": {
"full_name": "Gudmundur Bjarni Olafsson",
"description": "AI/ML researcher and entrepreneur with a focus on computer vision applications. Previously led ML teams at Google and founded an AI startup.",
"website": "<string>",
"linkedin_url": "https://www.linkedin.com/in/gudmundurbjarni",
"twitter_url": "https://x.com/gudmundur",
"founded_year": 2026,
"location": {
"city": "South San Francisco",
"state": "California",
"country": "United States",
"continent": "North America"
},
"industry": [
"Financial Services",
"Financial Technology"
],
"tech_verticals": [
[
"Blockchain, Crypto & Web3",
"Crypto Exchanges and Trading Infrastructure"
]
],
"is_industry_estimated": true
},
"signal_last_funding_usd": 123,
"signal_source": [
"<string>"
]
}
]{
"errorCode": "BAD_SEARCH_ID_TYPE",
"message": "The search id needs to be a number."
}{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}{
"errorCode": "OUT_OF_CREDITS",
"message": "<string>"
}{
"errorCode": "NOT_PERMITTED",
"message": "You do not have permission to access this resource."
}{
"errorCode": "<string>",
"message": "<string>"
}{
"errorCode": "<string>",
"message": "<string>"
}Get investor-interest saved search results
Returns the interest signals matching a saved investor-interest search.
What you need
An investor-interest saved-search ID shared with the API; get one from Get all saved searches, or check counts first with Get investor-interest saved search.
Behaviour
- Page through with
pageandlimit. - Set
new_results_afterto a timestamp to return only the signals added to the search since then — pass back the timestamp of your last read to poll for what is new. It must be within the last 60 days. - Bound results by signal date with
investor_signal_date_after/investor_signal_date_before(both inclusive). These select on when a signal was published, which is a different question from when it joined the search; sending them alongsidenew_results_afterapplies both. - Must be an investor-interest search, otherwise
400withNOT_SUPPORTED_PRODUCT. - Returns
404if the search doesn’t exist or isn’t accessible.
What you do next
- Open the entity. Follow
entity_idto Get company by ID or Get person by ID, depending onsignal_type.
Authorizations
Path Parameters
The ID of the saved search being requested.
Query Parameters
Only return records added to the search on or after this moment, e.g. 2026-07-10T00:00:00Z. Must be within the last 60 days.
The number of results to return per page (minimum 1, maximum 5000, default 50).
1 <= x <= 5000The page number of results to return, base 0, default is 0.
Only return signals with a signal date on or after this date (YYYY-MM-DD, inclusive).
"2026-06-01"
Only return signals with a signal date on or before this date (YYYY-MM-DD, inclusive).
"2026-06-30"
Response
The list of investor interest signals that were found for the query
Unique identifier for this investor interest signal
"f7e8e33a-ea66-40e4-a567-e2afc8638bd2"
Date when the talent signal was detected
"2026-07-10"
Confidence score for this talent signal (1-10 scale)
8
Summary of the signal
"A Partner at General Catalyst and Evantic Capital are both exploring BORN amid early-stage fundraising. BORN creates AI friends that provide companionship and connection through AI and consumer social experiences."
Type of talent signal detected
Company, Talent "Company"
The course of the signal
influencer, journalist, investor, insider, angel, investment_bank, venture_capital, private_equity ["venture_capital"]
The total funding in USD when the signal was triggered
15000000
The total funding date when the signal was triggered
"2025-09-01"
The investors for this signal
Show child attributes
Show child attributes
Unique identifier of the entity that this signal is for, if it's a Company signal then this is the company id, if it's a Talent signal then this is the person id.
Note that this may not exist, in which case for company signals the domain can be used and for talent signals the linkedin_url can be used.
"5e3a7f110aa7a3270a54b92e"
Information about the company if it is a company signal.
Show child attributes
Show child attributes
Information about the person if it is a talent signal.
Show child attributes
Show child attributes
The company's most recent funding round amount in USD, as of the signal date.
The sources this signal was derived from (e.g. the article or filing references that triggered it).
Was this page helpful?